package cn.com.qmth.examcloud.core.oe.admin.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description 分页获取待阅卷的考试记录请求实体
 * @Author lideyin
 * @Date 2019/11/22 13:48
 * @Version 1.0
 */
public class GetPagedToBeMarkExamRecordReq extends BaseRequest {

    private static final long serialVersionUID = -4984214681609641298L;
    @ApiModelProperty(value = "考试ID", example = "128", required = true)
    private Long examId;

    @ApiModelProperty(value = "科目代码", example = "128", required = true)
    private String subjectCode;

    @ApiModelProperty(value = "考生id,Long,第一次调用传0，下次调用，用返回的nextId", example = "0", required = true)
    private Long startId;

    @ApiModelProperty(value = "考试记录集合大小,最大不得超过500", example = "200", required = true)
    private Integer size;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Long getStartId() {
        return startId;
    }

    public void setStartId(Long startId) {
        this.startId = startId;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }
}
